Package org.eclipse.cdt.core.settings.model.util

# Interface ResourceChangeHandlerBase.IResourceMoveHandler

Enclosing class:
  `ResourceChangeHandlerBase`

public static interface ResourceChangeHandlerBase.IResourceMoveHandler

## Method Summary

Modifier and Type
Method
Description
`void`
`done()`
Call-back ticked at end of a resource change event
`void`
`handleProjectClose(org.eclipse.core.resources.IProject project)`
Handle a project close
`boolean`
`handleResourceMove(org.eclipse.core.resources.IResource fromRc, org.eclipse.core.resources.IResource toRc)`
Resource moved fromRc to toRc
`boolean`
`handleResourceRemove(org.eclipse.core.resources.IResource rc)`
Handle a resource remove

## Method Details

### handleResourceMove

boolean handleResourceMove(org.eclipse.core.resources.IResource fromRc, org.eclipse.core.resources.IResource toRc)
Resource moved fromRc to toRc

Parameters:
  `fromRc` -
  `toRc` -
Returns:
  boolean indicating if children should be visited

### handleResourceRemove

boolean handleResourceRemove(org.eclipse.core.resources.IResource rc)
Handle a resource remove

Parameters:
  `rc` - Removed IResource
Returns:
  boolean indicating if children should be visited

### handleProjectClose

void handleProjectClose(org.eclipse.core.resources.IProject project)
Handle a project close

### done

void done()
Call-back ticked at end of a resource change event